<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Language file.
 *
 * @package   theme_moove
 * @copyright 2017 Willian Mano - http://conecti.me
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['advancedsettings'] = 'Advanced settings';
$string['brandcolor'] = 'Brand colour';
$string['brandcolor_desc'] = 'The accent colour.';
$string['choosereadme'] = 'Moove is a modern highly-customisable theme. This theme is intended to be used directly, or as a parent theme when creating new themes utilising Bootstrap 4.';
$string['currentinparentheses'] = '(current)';
$string['configtitle'] = 'Moove';
$string['generalsettings'] = 'General settings';
$string['pluginname'] = 'Moove';
$string['presetfiles'] = 'Additional theme preset files';
$string['presetfiles_desc'] = 'Preset files can be used to dramatically alter the appearance of the theme. See <a href=https://docs.moodle.org/dev/Moove_Presets>Moove presets</a> for information on creating and sharing your own preset files, and see the <a href=http://moodle.net/moove>Presets repository</a> for presets that others have shared.';
$string['preset'] = 'Theme preset';
$string['preset_desc'] = 'Pick a preset to broadly change the look of the theme.';
$string['rawscss'] = 'Raw SCSS';
$string['rawscss_desc'] = 'Use this field to provide SCSS or CSS code which will be injected at the end of the style sheet.';
$string['rawscsspre'] = 'Raw initial SCSS';
$string['rawscsspre_desc'] = 'In this field you can provide initialising SCSS code, it will be injected before everything else. Most of the time you will use this setting to define variables.';
$string['region-side-pre'] = 'Right';

$string['login'] = 'Already have an account?';
$string['logo'] = 'Logo';
$string['logodesc'] = 'The logo is displayed in the header.';
$string['prev_section'] = 'Previous section';
$string['next_section'] = 'Next section';
$string['search_site'] = 'Search on site';
$string['search_forums'] = 'Search on course forums';
$string['platform_access'] = 'Access to the platform';
$string['readmore'] = 'Read More';
$string['stayintouch'] = 'Stay in touch';
$string['madewitmoodle'] = 'Proudly made with';
$string['madeby'] = 'This theme was developed by';
$string['discipline_progress'] = 'Discipline\'s progress';

$string['frontpagesettings'] = 'Frontpage Settings';
$string['headerimg'] = 'Header image';
$string['headerimgdesc'] = 'Upload your custom header-image here if you want to add it to the header.mage works best if (Image size should be 1500px x 700px)';

$string['bannerheading'] = 'Banner Heading';
$string['bannerheadingdesc'] = 'Enter Banner Heading Text';
$string['bannercontent'] = 'Banner Content';
$string['bannercontentdesc'] = 'Enter Banner Content Text';
$string['bannerfontcolor'] = 'Banner Font Color';
$string['bannerfontcolordesc'] = 'This allow you to set the Banner Font Color';

$string['displaymarketingbox'] = 'Display front page Marketingbox';
$string['displaymarketingboxdesc'] = 'Show or Hide Front page Marketingbox';

$string['marketing1icon'] = 'Marketing1 Icon';
$string['marketing1icondesc'] = 'Upload Marketing1 Icon';
$string['marketing1heading'] = 'Marketing1 Heading';
$string['marketing1headingdesc'] = 'Enter Marketing1 Heading Text';
$string['marketing1subheading'] = 'Marketing1 Subheading';
$string['marketing1subheadingdesc'] = 'Enter Marketing1 Subheading Text';
$string['marketing1content'] = 'Marketing1 Content';
$string['marketing1contentdesc'] = 'Enter Marketing1 Content Text';
$string['marketing1url'] = 'Marketing1 URL';
$string['marketing1urldesc'] = 'Enter Marketing1 URL';

$string['marketing2icon'] = 'Marketing2 Icon';
$string['marketing2icondesc'] = 'Upload Marketing2 Icon';
$string['marketing2heading'] = 'Marketing2 Heading';
$string['marketing2headingdesc'] = 'Enter Marketing2 Heading Text';
$string['marketing2subheading'] = 'Marketing2 Subheading';
$string['marketing2subheadingdesc'] = 'Enter Marketing2 Subheading Text';
$string['marketing2content'] = 'Marketing2 Content';
$string['marketing2contentdesc'] = 'Enter Marketing2 Content Text';
$string['marketing2url'] = 'Marketing1 URL';
$string['marketing2urldesc'] = 'Enter Marketing1 URL';

$string['marketing3icon'] = 'Marketing3 Icon';
$string['marketing3icondesc'] = 'Upload Marketing3 Icon';
$string['marketing3heading'] = 'Marketing3 Heading';
$string['marketing3headingdesc'] = 'Enter Marketing3 Heading Text';
$string['marketing3subheading'] = 'Marketing3 Subheading';
$string['marketing3subheadingdesc'] = 'Enter Marketing3 Subheading Text';
$string['marketing3content'] = 'Marketing3 Content';
$string['marketing3contentdesc'] = 'Enter Marketing3 Content Text';
$string['marketing3url'] = 'Marketing1 URL';
$string['marketing3urldesc'] = 'Enter Marketing1 URL';

$string['marketing4icon'] = 'Marketing4 Icon';
$string['marketing4icondesc'] = 'Upload Marketing4 Icon';
$string['marketing4heading'] = 'Marketing4 Heading';
$string['marketing4headingdesc'] = 'Enter Marketing4 Heading Text';
$string['marketing4subheading'] = 'Marketing4 Subheading';
$string['marketing4subheadingdesc'] = 'Enter Marketing4 Subheading Text';
$string['marketing4content'] = 'Marketing4 Content';
$string['marketing4contentdesc'] = 'Enter Marketing4 Content Text';
$string['marketing4url'] = 'Marketing1 URL';
$string['marketing4urldesc'] = 'Enter Marketing1 URL';

$string['footersettings'] = 'Footer settings';
$string['getintouchcontent'] = 'Get In Touch Content';
$string['getintouchcontentdesc'] = 'Enter Get In Touch Content Text';
$string['getintouchcontent'] = 'Get In Touch Content';
$string['website'] = 'Website URL';
$string['websitedesc'] = 'Main company Website';
$string['mobile'] = 'Mobile';
$string['mobiledesc'] = 'Enter Mobile No';
$string['mail'] = 'E-Mail';
$string['maildesc'] = 'Enter E-Mail ID';
$string['facebook'] = 'Facebook URL';
$string['facebookdesc'] = 'Enter the URL of your Facebook. (i.e http://www.facebook.com/mycollege)';
$string['twitter'] = 'Twitter URL';
$string['twitterdesc'] = 'Enter the URL of your twitter. (i.e http://www.twitter.com/mycollege)';
$string['googleplus'] = 'Google Plus URL';
$string['googleplusdesc'] = 'Enter the URL of your Google Plus. (i.e http://www.googleplus.com/mycollege)';
$string['linkedin'] = 'Linkedin URL';
$string['linkedindesc'] = 'Enter the URL of your Linkedin. (i.e http://www.linkedin.com/mycollege)';
$string['youtube'] = 'Youtube URL';
$string['youtubedesc'] = 'Enter the URL of your Youtube. (i.e https://www.youtube.com/user/moodlehq)';

$string['access'] = 'Access';
$string['cachedef_admininfos'] = 'Site administrator dashboard infos';
$string['diskusage'] = 'Disk usage(moodledata)';
$string['totalusers'] = 'Total users';
$string['totalcourses'] = 'Total courses';
$string['onlineusers'] = 'Online users(last 5 minutes)';
$string['showhideblocks'] = 'Show/hide blocks';
