<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Language file.
 *
 * @package   theme_moove
 * @copyright 2017 Willian Mano - http://conecti.me
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['advancedsettings'] = 'Configurações avançadas';
$string['brandcolor'] = 'Cor da marca';
$string['brandcolor_desc'] = 'Cor principal.';
$string['choosereadme'] = 'Moove é um tema moderno e altamente customizável. Este tema tem por objetivo ser usado diretamente, ou como um tema pai quando criados novos temas utilizando Bootstrap 4.';
$string['currentinparentheses'] = '(atual)';
$string['configtitle'] = 'Moove';
$string['generalsettings'] = 'Configurações gerais';
$string['pluginname'] = 'Moove';
$string['presetfiles'] = 'Arquivos de preset adicionais';
$string['presetfiles_desc'] = 'Arquivos prese podem ser usados para alterar dramaticamente a aparência do tema. Veja <a href=https://docs.moodle.org/dev/Boost_Presets>Boost presets</a> para informações sobre criar e compartilhar seus próprios arquivos preset, e veja o <a href=http://moodle.net/moove>repositório de presets</a> que outros compartilharam.';
$string['preset'] = 'Theme preset';
$string['preset_desc'] = 'Escolha um preset para alterar a aparência do tema.';
$string['rawscss'] = 'SCSS cru';
$string['rawscss_desc'] = 'Use este campo para fornecer código SCSS ou CSS que será injetado no final do arquivos de estilos.';
$string['rawscsspre'] = 'SCSS cru inicial';
$string['rawscsspre_desc'] = 'Neste campo você pode fornecer código SCSS de inicialização, ele será injetado antes de tudo. Na maioria dos casos você usará esta configuração para setar variáveis.';
$string['region-side-pre'] = 'Direita';

$string['login'] = 'Você possui uma conta?';
$string['logo'] = 'Logo';
$string['logodesc'] = 'A logo é exibida no topo da página.';
$string['prev_section'] = 'Seção anterior';
$string['next_section'] = 'Próxima seção';
$string['search_site'] = 'Procurar no site';
$string['search_forums'] = 'Procurar nos fóruns';
$string['platform_access'] = 'Acesso à plataforma';
$string['readmore'] = 'Leia mais';
$string['stayintouch'] = 'Entre em contato';
$string['madewitmoodle'] = 'Orgulhosamente feito com o';
$string['madeby'] = 'Este tema foi desenvolvido por';
$string['discipline_progress'] = 'Andamento da disciplina';

$string['frontpagesettings'] = 'Configurações da página inicial';
$string['headerimg'] = 'Imagem do cabeçalho';
$string['headerimgdesc'] = 'Envie sua própria imagem de cabeçalho. Tamanho recomendado 1500px x 700px';

$string['bannerheading'] = 'Banner de cabeçalho';
$string['bannerheadingdesc'] = 'Digite o texto do banner de cabeçalho';
$string['bannercontent'] = 'Conteúdo do banner';
$string['bannercontentdesc'] = 'Digite o texto do conteúdo';
$string['bannerfontcolor'] = 'Cor da fonte do banner';
$string['bannerfontcolordesc'] = 'Permite configurar a cor da fonte do banner';

$string['displaymarketingbox'] = 'Exibe o Marketingbox da página inicial';
$string['displaymarketingboxdesc'] = 'Exibe ou oculta o Marketingbox da página inicial';

$string['marketing1icon'] = 'Ícone Marketing1';
$string['marketing1icondesc'] = 'Envie o ícone do Marketing1';
$string['marketing1heading'] = 'Cabeçalho do Marketing1';
$string['marketing1headingdesc'] = 'Digite o texto do cabeçalho do Marketing1';
$string['marketing1subheading'] = 'Subcabeçalho do Marketing1';
$string['marketing1subheadingdesc'] = 'Digite o texto do subcabeçalho do Marketing1';
$string['marketing1content'] = 'Conteúdo do Marketing1';
$string['marketing1contentdesc'] = 'Digite o texto do conteúdo do Marketing1';
$string['marketing1url'] = 'URL do Marketing1';
$string['marketing1urldesc'] = 'Digite a URL do Marketing1';

$string['marketing2icon'] = 'Ícone Marketing2';
$string['marketing2icondesc'] = 'Envie o ícone do Marketing2';
$string['marketing2heading'] = 'Cabeçalho do Marketing2';
$string['marketing2headingdesc'] = 'Digite o texto do cabeçalho do Marketing2';
$string['marketing2subheading'] = 'Subcabeçalho do Marketing2';
$string['marketing2subheadingdesc'] = 'Digite o texto do subcabeçalho do Marketing2';
$string['marketing2content'] = 'Conteúdo do Marketing2';
$string['marketing2contentdesc'] = 'Digite o texto do conteúdo do Marketing2';
$string['marketing2url'] = 'URL do Marketing2';
$string['marketing2urldesc'] = 'Digite a URL do Marketing2';

$string['marketing3icon'] = 'Ícone Marketing3';
$string['marketing3icondesc'] = 'Envie o ícone do Marketing3';
$string['marketing3heading'] = 'Cabeçalho do Marketing3';
$string['marketing3headingdesc'] = 'Digite o texto do cabeçalho do Marketing3';
$string['marketing3subheading'] = 'Subcabeçalho do Marketing3';
$string['marketing3subheadingdesc'] = 'Digite o texto do subcabeçalho do Marketing3';
$string['marketing3content'] = 'Conteúdo do Marketing3';
$string['marketing3contentdesc'] = 'Digite o texto do conteúdo do Marketing3';
$string['marketing3url'] = 'URL do Marketing3';
$string['marketing3urldesc'] = 'Digite a URL do Marketing3';

$string['marketing4icon'] = 'Ícone Marketing4';
$string['marketing4icondesc'] = 'Envie o ícone do Marketing4';
$string['marketing4heading'] = 'Cabeçalho do Marketing4';
$string['marketing4headingdesc'] = 'Digite o texto do cabeçalho do Marketing4';
$string['marketing4subheading'] = 'Subcabeçalho do Marketing4';
$string['marketing4subheadingdesc'] = 'Digite o texto do subcabeçalho do Marketing4';
$string['marketing4content'] = 'Conteúdo do Marketing4';
$string['marketing4contentdesc'] = 'Digite o texto do conteúdo do Marketing4';
$string['marketing4url'] = 'URL do Marketing4';
$string['marketing4urldesc'] = 'Digite a URL do Marketing4';

$string['footersettings'] = 'Configurações do rodapé';
$string['getintouchcontent'] = 'Conteúdo de matenha contato';
$string['getintouchcontentdesc'] = 'Digite o texto de matenha contato';
$string['website'] = 'Link do site';
$string['websitedesc'] = 'Link do site principal da empresa';
$string['mobile'] = 'Celular';
$string['mobiledesc'] = 'Digite o número de celular';
$string['mail'] = 'E-Mail';
$string['maildesc'] = 'Digite o E-Mail de contato';
$string['facebook'] = 'Facebook URL';
$string['facebookdesc'] = 'Digite a URL do Facebook. (ex: http://www.facebook.com/mycollege)';
$string['twitter'] = 'Twitter URL';
$string['twitterdesc'] = 'Digite a URL do twitter. (ex: http://www.twitter.com/mycollege)';
$string['googleplus'] = 'Google Plus URL';
$string['googleplusdesc'] = 'Digite a URL do Google Plus. (ex: http://www.googleplus.com/mycollege)';
$string['linkedin'] = 'Linkedin URL';
$string['linkedindesc'] = 'Digite a URL do Linkedin. (ex: http://www.linkedin.com/mycollege)';
$string['youtube'] = 'Youtube URL';
$string['youtubedesc'] = 'Digite a URL do Youtube. (ex: https://www.youtube.com/user/moodlehq)';

$string['access'] = 'Acessar';
$string['cachedef_admininfos'] = 'Informações da página inicial dos administradores';
$string['diskusage'] = 'Uso do disco(moodledata)';
$string['totalusers'] = 'Total de usuários';
$string['totalcourses'] = 'Total de cursos';
$string['onlineusers'] = 'Usuários online(5 minutos)';
$string['showhideblocks'] = 'Exibir/ocultar blocos';
